Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.audit
Class ServicesAwareAuditEventBuilder

    java.lang.Object
      org.jbpm.process.audit.event.DefaultAuditEventBuilderImpl
          org.jbpm.kie.services.impl.audit.ServicesAwareAuditEventBuilder

All Implemented Interfaces:
  AuditEventBuilder

    public class ServicesAwareAuditEventBuilder

extends DefaultAuditEventBuilderImpl

Constructor Summary
`ServicesAwareAuditEventBuilder()`

Method Summary
`AuditEvent` | `buildEvent(ProcessCompletedEvent pce, Object log)`
`AuditEvent` | `buildEvent(ProcessNodeLeftEvent pnle, Object log)`
`AuditEvent` | `buildEvent(ProcessNodeTriggeredEvent pnte)`
`AuditEvent` | `buildEvent(ProcessStartedEvent pse)`
`AuditEvent` | `buildEvent(ProcessVariableChangedEvent pvce)`
`protected RequestScopedBackupIdentityProvider` | `getBackupIdentityProvider()` This retrieves a `RequestScopedBackupIdentityProvider` bean from the CDI (request scoped) context.
`String` | `getDeploymentUnitId()`
`protected String` | `getIdentityName()` This method returns the identity of the user who initiated the command.
`IdentityProvider` | `getIdentityProvider()`
`void` | `setBeanManager(javax.enterprise.inject.spi.BeanManager beanManager)` Sets the `BeanManager` field.
`void` | `setDeploymentUnitId(String deploymentUnitId)`
`void` | `setIdentityProvider(IdentityProvider identityProvider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServicesAwareAuditEventBuilder

    public ServicesAwareAuditEventBuilder()

Method Detail

### getIdentityProvider

    public IdentityProvider getIdentityProvider()

### setIdentityProvider

    public void setIdentityProvider(IdentityProvider identityProvider)

### buildEvent

    public AuditEvent buildEvent(ProcessStartedEvent pse)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`
  Overrides:
    `buildEvent` in class `DefaultAuditEventBuilderImpl`

### buildEvent

    public AuditEvent buildEvent(ProcessCompletedEvent pce,
                                 Object log)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`
  Overrides:
    `buildEvent` in class `DefaultAuditEventBuilderImpl`

### buildEvent

    public AuditEvent buildEvent(ProcessNodeTriggeredEvent pnte)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`
  Overrides:
    `buildEvent` in class `DefaultAuditEventBuilderImpl`

### buildEvent

    public AuditEvent buildEvent(ProcessNodeLeftEvent pnle,
                                 Object log)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`
  Overrides:
    `buildEvent` in class `DefaultAuditEventBuilderImpl`

### buildEvent

    public AuditEvent buildEvent(ProcessVariableChangedEvent pvce)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`
  Overrides:
    `buildEvent` in class `DefaultAuditEventBuilderImpl`

### getDeploymentUnitId

    public String getDeploymentUnitId()

### setDeploymentUnitId

    public void setDeploymentUnitId(String deploymentUnitId)

### getIdentityName

    protected String getIdentityName()

  This method returns the identity of the user who initiated the command.

  Returns:
    The identity

### setBeanManager

    public void setBeanManager(javax.enterprise.inject.spi.BeanManager beanManager)

  Sets the `BeanManager` field. This field is necessary in order to retrieve a `RequestScopedBackupIdentityProvider` bean from the CDI context. A `RequestScopedBackupIdentityProvider` bean is necessary when the a command is issued to the a `RuntimeEngine` in a context or scope where HTTP is *not* used. The normal `IdentityProvider` bean is only available if HTTP is being used, because it relies on HTTP authorization mechanisms in order to get the user (See the UberfireIdentityProvider class).

  Parameters:
    `beanManager` - A `BeanManager` instance

### getBackupIdentityProvider

    protected RequestScopedBackupIdentityProvider getBackupIdentityProvider()

  This retrieves a `RequestScopedBackupIdentityProvider` bean from the CDI (request scoped) context.

  Returns:
    a `RequestScopedBackupIdentityProvider` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.